package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialGoals;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("aclPractitionerPotentialGoalsDALService")
public interface AclPractitionerPotentialGoalsDALService {

    List<AclPractitionerPotentialGoals> findByPractitionerAndCurrentYear(Long practitionerId, Integer currentYear);

    void updateList(List<AclPractitionerPotentialGoals> potentialGoalsUpdateList);

    void saveAll(List<AclPractitionerPotentialGoals> potentialGoalsList);

    List<AclPractitionerPotentialGoals> findByPractitionerAndCurrentYearAndTimeUnit(Long practitionerId, Integer currentYear, List<Integer> timeTypeList);
}
